Bug 4028 - pump behaving differently than dhcpcd
pump behaving differently than dhcpcd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-14 08:51 EDT by wlf
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wlf 1999-07-14 08:51:54 EDT
In Red Hat 5.2, the domain-name option information returned
by the DHCP server was entered by the dhcpcd client into the
/etc/resolv.conf as a "domain" record.

In Red Hat 6.0, the pump client daemon enters the "domain-
name" option into /etc/resolv.conf as a "search" record.

This results in a behavior change that might cause a 6.0 host
to not be able to resolve names that a 5.2 host could.

In our case, our DHCP server includes the global option:

        option domain-name "cert.org";

Under 5.2, the first line of the /etc/resolv.conf then read:

        domain cert.org

Under 6.0, the first line now reads:

        search cert.org

On the host "weeks.blue.cert.org", the short name "weeks"
resolved to the local host under 5.2. Under 6.0, it does not
resolve at all.

What was the rationale for changing the record in /etc/
resolv.conf from "domain" to "search"?

How is one supposed to get previous behavior back?
Comment 1 Elliot Lee 2001-07-16 14:53:13 EDT
Ancient bug, closing.

The 6.0 behaviour looks correct - the 'domain' keyword is rather obsolete...
Perhaps there is a glibc bug - if this problem still exists in 7.1, please file
a new report against that release.

Note You need to log in before you can comment on or make changes to this bug.